CUTLASS: cutlass::gemm::warp::MmaVoltaTensorOpAccumulatorTileIterator< Shape_, Element_, Layout_, InstructionShape_, OpDelta_ >::Policy Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
cutlass::gemm::warp::MmaVoltaTensorOpAccumulatorTileIterator< Shape_, Element_, Layout_, InstructionShape_, OpDelta_ >::Policy Struct Reference

Internal structure of iterator - made public to enable introspection.

`#include <mma_tensor_op_tile_iterator_sm70.h>`

## Public Types
using | InterleavedTile = MatrixShape< 32, 32 >
| Volta Tensor Op uses 32x32 interleaved tile. More...
using | TileIterations = MatrixShape< Shape::kRow/InterleavedTile::kRow, Shape::kColumn/InterleavedTile::kColumn >
| Number of mma operations performed. More...
using | MmaIterations = MatrixShape< InterleavedTile::kRow/InstructionShape::kM, InterleavedTile::kColumn/InstructionShape::kN >

## Member Typedef Documentation

template<typename Shape_ , typename Element_ , typename Layout_ , typename InstructionShape_ , typename OpDelta_ >

using cutlass::gemm::warp::MmaVoltaTensorOpAccumulatorTileIterator< Shape_, Element_, Layout_, InstructionShape_, OpDelta_ >::Policy::InterleavedTile = MatrixShape<32, 32>

template<typename Shape_ , typename Element_ , typename Layout_ , typename InstructionShape_ , typename OpDelta_ >

using cutlass::gemm::warp::MmaVoltaTensorOpAccumulatorTileIterator< Shape_, Element_, Layout_, InstructionShape_, OpDelta_ >::Policy::MmaIterations = MatrixShape<InterleavedTile::kRow / InstructionShape::kM, InterleavedTile::kColumn / InstructionShape::kN>

template<typename Shape_ , typename Element_ , typename Layout_ , typename InstructionShape_ , typename OpDelta_ >

using cutlass::gemm::warp::MmaVoltaTensorOpAccumulatorTileIterator< Shape_, Element_, Layout_, InstructionShape_, OpDelta_ >::Policy::TileIterations = MatrixShape< Shape::kRow / InterleavedTile::kRow, Shape::kColumn / InterleavedTile::kColumn >

The documentation for this struct was generated from the following file:

- mma_tensor_op_tile_iterator_sm70.h